<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy NumericData.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_numeric_data_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">NumericData.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_numeric_data_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef NUMERICDATA_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define NUMERICDATA_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;QLabel&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &lt;QLineEdit&gt;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &lt;QLayout&gt;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="_numeric_data_8hpp.html#a4a870710e36ec2b3a1c414e1261a5f6b">   17</a></span><span class="preprocessor">#define TEXT_LIMIT 10</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="class_numeric_data.html">   26</a></span><span class="keyword">class </span><a class="code hl_class" href="class_numeric_data.html">NumericData</a> : <span class="keyword">public</span> QWidget</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>{</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">   32</a></span>    QLineEdit *<a class="code hl_variable" href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">data</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="class_numeric_data.html#af8d15a23b479d1943fda2a88954dbb49">   36</a></span>    QHBoxLayout *<a class="code hl_variable" href="class_numeric_data.html#af8d15a23b479d1943fda2a88954dbb49">hlayout</a>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_numeric_data.html#a1288fde6fb7304b3a63f58a8c39cc42a">setStoredWidget</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_numeric_data.html#aaf52f467e0ea964e76ac7e955f23b2b1">setHLayout</a>();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <a class="code hl_class" href="class_numeric_data.html">NumericData</a>(QWidget *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14">update</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> new_value);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>};</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">#endif </span><span class="comment">// NUMERICDATA_HPP</span></div>
<div class="ttc" id="aclass_numeric_data_html"><div class="ttname"><a href="class_numeric_data.html">NumericData</a></div><div class="ttdoc">Wyświetla dane z czujnika odległości.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8hpp_source.html#l00026">NumericData.hpp:27</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_a1288fde6fb7304b3a63f58a8c39cc42a"><div class="ttname"><a href="class_numeric_data.html#a1288fde6fb7304b3a63f58a8c39cc42a">NumericData::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget()</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8cpp_source.html#l00035">NumericData.cpp:35</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_a4b956764140411b9e8249ec9e4bd9b14"><div class="ttname"><a href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14">NumericData::update</a></div><div class="ttdeci">void update(unsigned int new_value)</div><div class="ttdoc">Aktualizuje odczyt z czujnika odleŋłości.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8cpp_source.html#l00062">NumericData.cpp:62</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_a9bbb275971b6c75b1378e48727cca298"><div class="ttname"><a href="class_numeric_data.html#a9bbb275971b6c75b1378e48727cca298">NumericData::data</a></div><div class="ttdeci">QLineEdit * data</div><div class="ttdoc">Okienko do wyświetlania sformatowanych danych.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8hpp_source.html#l00032">NumericData.hpp:32</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_aaf52f467e0ea964e76ac7e955f23b2b1"><div class="ttname"><a href="class_numeric_data.html#aaf52f467e0ea964e76ac7e955f23b2b1">NumericData::setHLayout</a></div><div class="ttdeci">void setHLayout()</div><div class="ttdoc">Ustawia widgety w poziomie.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8cpp_source.html#l00053">NumericData.cpp:53</a></div></div>
<div class="ttc" id="aclass_numeric_data_html_af8d15a23b479d1943fda2a88954dbb49"><div class="ttname"><a href="class_numeric_data.html#af8d15a23b479d1943fda2a88954dbb49">NumericData::hlayout</a></div><div class="ttdeci">QHBoxLayout * hlayout</div><div class="ttdoc">Zarządca geometrii horyzontalnej.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8hpp_source.html#l00036">NumericData.hpp:36</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_numeric_data_8hpp.html">NumericData.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
